-- Test booking_status_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('booking_status_i18n');
select has_pk('booking_status_i18n');
select col_is_pk('booking_status_i18n', array['booking_status', 'lang_tag']);
select table_privs_are('booking_status_i18n', 'guest', array[]::text[]);
select table_privs_are('booking_status_i18n', 'employee', array['SELECT']);
select table_privs_are('booking_status_i18n', 'admin', array['SELECT']);
select table_privs_are('booking_status_i18n', 'authenticator', array[]::text[]);

select has_column('booking_status_i18n', 'booking_status');
select col_is_fk('booking_status_i18n', 'booking_status');
select fk_ok('booking_status_i18n', 'booking_status', 'booking_status', 'booking_status');
select col_type_is('booking_status_i18n', 'booking_status', 'text');
select col_not_null('booking_status_i18n', 'booking_status');
select col_hasnt_default('booking_status_i18n', 'booking_status');

select has_column('booking_status_i18n', 'lang_tag');
select col_is_fk('booking_status_i18n', 'lang_tag');
select fk_ok('booking_status_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('booking_status_i18n', 'lang_tag', 'text');
select col_not_null('booking_status_i18n', 'lang_tag');
select col_hasnt_default('booking_status_i18n', 'lang_tag');

select has_column('booking_status_i18n', 'name');
select col_type_is('booking_status_i18n', 'name', 'text');
select col_not_null('booking_status_i18n', 'name');
select col_hasnt_default('booking_status_i18n', 'name');


select *
from finish();

rollback;

